## Apache Zeta Components Manual :: Docs For Class ezcWorkflowNodeVariableSet

### Workflow::ezcWorkflowNodeVariableSet

### Class ezcWorkflowNodeVariableSet

An object of the ezcWorkflowNodeVariableSet class sets the specified workflow variable to a given value.

1. <?php
2. $set=new ezcWorkflowNodeVariableSet (array('variable name'= >$value) );
3. ?>

Incoming nodes: 1 Outgoing nodes: 1

Source for this file: /Workflow/src/nodes/variables/set.php

    ezcWorkflowNode
       |
       --ezcWorkflowNodeVariableSet

Version: | //autogen//

### Inherited Constants

From ezcWorkflowNode:
`ezcWorkflowNode::WAITING_FOR_ACTIVATION` | The node is waiting to be activated.
`ezcWorkflowNode::WAITING_FOR_EXECUTION` | The node is activated and waiting to be executed.

### Inherited Member Variables

From ezcWorkflowNode
protected | `ezcWorkflowNode::$activatedFrom`
protected | `ezcWorkflowNode::$activationState`
protected | `ezcWorkflowNode::$configuration`
protected | `ezcWorkflowNode::$id`
protected | `ezcWorkflowNode::$inNodes`
protected | `ezcWorkflowNode::$internalCall`
protected | `ezcWorkflowNode::$maxInNodes`
protected | `ezcWorkflowNode::$maxOutNodes`
protected | `ezcWorkflowNode::$minInNodes`
protected | `ezcWorkflowNode::$minOutNodes`
protected | `ezcWorkflowNode::$numInNodes`
protected | `ezcWorkflowNode::$numOutNodes`
protected | `ezcWorkflowNode::$outNodes`
protected | `ezcWorkflowNode::$state`
protected | `ezcWorkflowNode::$threadId`

### Method Summary

public ezcWorkflowNodeVariableSet | `__construct( [ $configuration = ''] )` Constructs a new variable set node with the configuration $configuration.

### Inherited Methods

From ezcWorkflowNode
public ezcWorkflowNode | `ezcWorkflowNode::__construct()` Constructs a new node with the configuration $configuration.
public void | `ezcWorkflowNode::accept()` Reimplementation of accept() calls accept on all out nodes.
protected void | `ezcWorkflowNode::activateNode()` Convenience method for activating an (outgoing) node.
public ezcWorkflowNode | `ezcWorkflowNode::addInNode()` Adds a node to the incoming nodes of this node.
public ezcWorkflowNode | `ezcWorkflowNode::addOutNode()` Adds a node to the outgoing nodes of this node.
public mixed | `ezcWorkflowNode::getConfiguration()` Returns the configuration of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getInNodes()` Returns the incoming nodes of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getOutNodes()` Returns the outgoing nodes of this node.
public boolean | `ezcWorkflowNode::removeInNode()` Removes a node from the incoming nodes of this node.
public boolean | `ezcWorkflowNode::removeOutNode()` Removes a node from the outgoing nodes of this node.
public void | `ezcWorkflowNode::verify()` Checks this node's constraints.

### Methods

#### __construct

ezcWorkflowNodeVariableSet __construct( [mixed $configuration = ''] )

Constructs a new variable set node with the configuration $configuration.

The configuration is an array of keys and values of the format: array( 'workflow variable name' => value )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$configuration` | mixed |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowNode::__construct()` | Constructs a new node with the configuration $configuration.

Documentation generated by phpDocumentor 1.4.3